# -*- coding: utf-8 -*-

VERSION = (0, 1, 0)
PRERELEASE = None  # alpha, beta or rc
REVISION = None


def generate_version(version, prerelease=None, revision=None):
    version_parts = [".".join(map(str, version))]
    if prerelease is not None:
        version_parts.append(f"-{prerelease}")
    if revision is not None:
        version_parts.append(f".{revision}")
    return "".join(version_parts)


__title__ = "poppler-utils"
__description__ = "Precompiled command-line utilities (based on Poppler) for manipulating PDF files and converting them to other formats."
__url__ = "https://github.com/vinayak-mehta/poppler-utils"
__version__ = generate_version(VERSION, prerelease=PRERELEASE, revision=REVISION)
__author__ = "Vinayak Mehta"
__author_email__ = "vmehta94@gmail.com"
__license__ = "GPL-2.0"
